# This file is autogenerated. Instead of editing this file, please use the
# migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.

ActiveRecord::Schema.define(:version => 3) do

  create_table "candidates", :force => true do |t|
    t.column "election_id", :integer,                                :null => false
    t.column "name",        :string,  :limit => 100, :default => "", :null => false
    t.column "description", :text
  end

  create_table "elections", :force => true do |t|
    t.column "name",                :string,   :limit => 100, :default => "",    :null => false
    t.column "description",         :text,                    :default => "",    :null => false
    t.column "anonymous",           :integer,  :limit => 4,   :default => 1,     :null => false
    t.column "startdate",           :datetime
    t.column "enddate",             :datetime,                                   :null => false
    t.column "active",              :integer,  :limit => 4,   :default => 0,     :null => false
    t.column "viewable",            :integer,  :limit => 4,   :default => 1,     :null => false
    t.column "notices",             :integer,  :limit => 4,   :default => 0,     :null => false
    t.column "user_id",             :integer
    t.column "quickuser",           :string
    t.column "election_method",     :string,   :limit => 100, :default => "ssd"
    t.column "type",                :string,   :limit => 100, :default => "",    :null => false
    t.column "embeddable",          :boolean,                 :default => false, :null => false
    t.column "authenticated",       :boolean,                 :default => true,  :null => false
    t.column "early_results",       :boolean,                 :default => false, :null => false
    t.column "embed_custom_string", :string
  end

  add_index "elections", ["user_id"], :name => "fk_user_election"

  create_table "pictures", :force => true do |t|
    t.column "filename",     :string
    t.column "content_type", :string
    t.column "size",         :integer
    t.column "width",        :integer
    t.column "height",       :integer
    t.column "parent_id",    :integer
    t.column "thumbnail",    :string
    t.column "created_at",   :datetime
    t.column "candidate_id", :integer
  end

  create_table "rankings", :force => true do |t|
    t.column "vote_id",      :integer
    t.column "candidate_id", :integer
    t.column "rank",         :integer
  end

  create_table "sessions", :force => true do |t|
    t.column "sessid",     :string
    t.column "data",       :text
    t.column "updated_at", :datetime
  end

  add_index "sessions", ["sessid"], :name => "session_index"

  create_table "sitealizer", :force => true do |t|
    t.column "path",       :string
    t.column "ip",         :string
    t.column "referer",    :string
    t.column "language",   :string
    t.column "user_agent", :string
    t.column "created_at", :datetime
    t.column "created_on", :date
  end

  create_table "skin_pictures", :force => true do |t|
    t.column "filename",     :string
    t.column "content_type", :string
    t.column "size",         :integer
    t.column "width",        :integer
    t.column "height",       :integer
    t.column "created_at",   :datetime
    t.column "user_id",      :integer
  end

  create_table "tokens", :force => true do |t|
    t.column "token",   :string,  :limit => 100, :default => "", :null => false
    t.column "vote_id", :integer,                                :null => false
  end

  add_index "tokens", ["vote_id"], :name => "fk_vote_token"

  create_table "users", :force => true do |t|
    t.column "login",                     :text
    t.column "ip",                        :text,                   :default => "", :null => false
    t.column "email",                     :text
    t.column "crypted_password",          :string,   :limit => 40
    t.column "salt",                      :string,   :limit => 40
    t.column "created_at",                :datetime
    t.column "updated_at",                :datetime
    t.column "remember_token",            :text
    t.column "remember_token_expires_at", :datetime
  end

  create_table "voters", :force => true do |t|
    t.column "email",       :string,  :limit => 100
    t.column "password",    :string,  :limit => 100
    t.column "contacted",   :integer, :limit => 4,   :default => 0,  :null => false
    t.column "election_id", :integer,                                :null => false
    t.column "session_id",  :string,  :limit => 32
    t.column "ipaddress",   :string,  :limit => 32
    t.column "type",        :string,  :limit => 100, :default => "", :null => false
  end

  add_index "voters", ["election_id"], :name => "fk_election_voter"

  create_table "votes", :force => true do |t|
    t.column "voter_id",  :integer
    t.column "confirmed", :integer,  :limit => 4, :default => 0, :null => false
    t.column "time",      :datetime
  end

  add_index "votes", ["voter_id"], :name => "fk_vote_voter"

end
